Package org.kapott.hbci.GV_Result

## Class GVRKontoauszug

- java.lang.Object
- - org.kapott.hbci.GV_Result.HBCIJobResultImpl
  - - org.kapott.hbci.GV_Result.GVRKontoauszug

All Implemented Interfaces:
  `java.io.Serializable`, `HBCIJobResult`

    public class GVRKontoauszug
    extends HBCIJobResultImpl

Response-Klasse fuer den Abruf von Kontoauszuegen.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `GVRKontoauszug.Format` Enum mit den moeglichen Formaten.
`static class` `GVRKontoauszug.GVRKontoauszugEntry` Kapselt einen einzelnen Kontoauszug.

### Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

### Constructor Summary

Constructors
`GVRKontoauszug()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<GVRKontoauszug.GVRKontoauszugEntry>` `getEntries()` Liefert die Liste der Kontoauszuege.

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GVRKontoauszug

    public GVRKontoauszug()

### Method Detail

#### getEntries

    public java.util.List<GVRKontoauszug.GVRKontoauszugEntry> getEntries()

Liefert die Liste der Kontoauszuege.

Returns:
  die Liste der Kontoauszuege.